#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from os.path import join, abspath, dirname
from datetime import date
from time import strftime
from io import StringIO
from logging import basicConfig, getLogger, StreamHandler, FileHandler,\
    DEBUG, INFO

NOMBRE = 'SCET'
VERSION = "1.6.1"
AUTOR = 'Wolfang A. Torres G.'
TITULO = 'Capibara Detallado'
FECHA = date(2015, 12, 9)
CONTACTO = 'Wolfang.Torres@gmail.com'

CARPETA_MADRE = abspath(dirname(__file__))
CARPETA_GUIS = join(CARPETA_MADRE, 'InterfacesGraficas')
CARPETA_RECURSOS = join(CARPETA_MADRE, 'Recursos')
CARPETA_BD = join(CARPETA_MADRE, 'BaseDeDatos')

FORMATO_FECHA_ISO = "%Y-%m-%d %H:%M:%S"
FORMATO_FECHA = "%d-%m-%Y"
FORMATO_HORA = "%H:%M:%S"
FORMATO_FECHA_HORA = FORMATO_FECHA  + ' ' + FORMATO_HORA

REGISTRO = StringIO('SCET - Registro {}'.format(strftime(FORMATO_FECHA_ISO)))
# Crear loging del sistema
LOG_0 = getLogger()
LOG_0.setLevel(DEBUG)
_rh = StreamHandler(REGISTRO)
_rh.setLevel(DEBUG)
LOG_0.addHandler(_rh)
# configurar logging para SCET
#~ LOG_SCET = getLogger(__name__.split('.')[0])
#~ _fh = FileHandler('scet.log', mode='w')
#~ _fh.setLevel(DEBUG)
#~ LOG_SCET.addHandler(_fh)

_ROOT = None
def OBTENER_ROOT():
    global _ROOT
    from tkinter import Tk
    if _ROOT is None:
        _ROOT = Tk()
    return _ROOT
